package com.hotent.project.manager;

import com.hotent.project.model.CostProjectDocumentFile;
import com.hotent.base.manager.BaseManager;

import java.util.List;

/**
 * 监审项目文书内容表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-16
 */
public interface CostProjectDocumentFileManager extends BaseManager<CostProjectDocumentFile> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostProjectDocumentFile getDetail(String id);
	/**
	 * 新建、更新监审项目文书内容表
	 * @param costProjectDocumentFile
	 * @return
	 */
	void createOrUpdate(CostProjectDocumentFile costProjectDocumentFile);

	/**
	 * 根据文书id和项目id查询文书具体项目
	 */
	List<CostProjectDocumentFile> getCostProjectDocumentFiles(String projectId, String documentId);


	List<CostProjectDocumentFile> getInfo(String id);
}
